## E-COMMERCE API DOCUMENTATION

***TEST ACCOUNTS:***
- Regular User:
     - email: User1@gmail.com
     - pwd: jc1
- Admin User:
    - email: admin1@gmail.com
    - pwd: password123
    

***USER ROUTES:***
- User registration (POST)
	- http://localhost:4000/users/register
    - request body: 
        - firstName (string)
        - lastName (string)
        - email (string)
        - password (string)
        - mobileNo (string)
- User authentication/login (POST)
	- http://localhost:4000/users/login
    - request body: 
        - email (string)
        - password (string)
- Create Product (Admin only) (POST)
    - http://localhost:4000/products/addProduct
    - request body: 
        - name (string)
        - description (string)
        - price (number)
- Retrieve all products (Admin only) (GET)
    - http://localhost:4000/products/allProducts
    - request body: none
- Retrieve all active products (GET)
    - http://localhost:4000/products/activeProducts
    - request body: none
- Retrieve single product (GET)
    - http://localhost:4000/products/:productId
    - request body: none
- Update product information (Admin only) (PUT)
    - http://localhost:4000/products/:productId
    - request body: 
        - name (string)
        - description (string)
        - price (number)
- Archive product (Admin only) (PUT)
    - http://localhost:4000/products/:productId/archive
    - request body: none
- Activate product (Admin only) (PUT)
    - http://localhost:4000/products/:productId/activate
    - request body: none
- User checkout (Non-admin) (POST)
    - http://localhost:4000/orders/checkout
    - request body:
        - userId (string)
        - productId (string)
        - quantity (number)
        - subtotal (number)
- Retrieve User Details (POST)
    - http://localhost:4000/users/details
    - request body: none
- Update user as Admin (Admin only) (PUT)
    - http://localhost:4000/users/updateAdmin
    - request body: 
        - userId (string)